package com.jeeplus.modules.supply.judgementBills.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 审定单表
 * @author: 徐滕
 * @create: 2022-02-28 15:38
 **/
public class SupplyJudgementBills extends DataEntity<SupplyJudgementBills> {
    private String serialNumber;            //序号
    private String materialNumber;          //varchar(255) 物料编码
    private String materialDescription;     //varchar(500) 物料描述
    private String  examineCount;            //varchar(255) 审定数量
    private String unit;                    //varchar(255) 单位
    private String projectDefinition;       //varchar(255) 项目定义号
    private String projectName;             //varchar(255) 项目名称
    private String submittalsId;            //varchar(255) 送审id

    @ExcelField(title="序号", align=2, sort=1)
    public String getSerialNumber() {
        return serialNumber;
    }

    @ExcelField(title="物料编码", align=2, sort=2)
    public String getMaterialNumber() {
        return materialNumber;
    }

    @ExcelField(title="物料描述", align=2, sort=3)
    public String getMaterialDescription() {
        return materialDescription;
    }

    @ExcelField(title="审定数量", align=2, sort=4)
    public String getExamineCount() {
        return examineCount;
    }

    @ExcelField(title="单位", align=2, sort=5)
    public String getUnit() {
        return unit;
    }

    @ExcelField(title="项目定义号", align=2, sort=6)
    public String getProjectDefinition() {
        return projectDefinition;
    }

    @ExcelField(title="项目名称", align=2, sort=7)
    public String getProjectName() {
        return projectName;
    }

    @ExcelField(title="送审Id", align=2, sort=8)
    public String getSubmittalsId() {
        return submittalsId;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public void setExamineCount(String examineCount) {
        this.examineCount = examineCount;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setSubmittalsId(String submittalsId) {
        this.submittalsId = submittalsId;
    }
}
